
QGIS Application - Bug report #7726

"Add class" to graduated renderer replaces an existing one

2013-04-27 01:15 PM - Anita Graser

Status: Closed

Priority: Severe/Regression

Assignee: Nathan Woodrow

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16634

Description

As reported: http://osgeo-org.1560.x6.nabble.com/quot-Add-class-quot-to-graduated-renderer-replaces-an-existing-one-td5048867.html

In todays master, clicking "Add class" doesn't add a class but overwrites   

an existing one. For example, create a graduated renderer with 4 classes   

and press "add class". You'll still have 4 classes but one of the original   

ones will be replaced.

Associated revisions

Revision 23782b73 - 2013-05-29 05:24 AM - Nathan Woodrow 

Fix add class for graduated renderer. Fix #7726

History

#1 - 2013-05-19 04:16 AM - Giovanni Manghi

see also #7843

#2 - 2013-05-28 07:17 PM - Mathieu Pellerin - nIRV

see also #7912, which adds that add class button is also broken when trying to add classes on an empty list.

#3 - 2013-05-28 08:18 PM - Nathan Woodrow

- Assignee set to Nathan Woodrow

#4 - 2013-05-28 08:24 PM - Anonymous

- Status changed from Open to Closed

Fixed in changeset commit:"23782b7305da5f75f5195d52402d9b6b7d6f29f2".
